Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class SessionMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.BeanMetaData
              org.jboss.metadata.SessionMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class SessionMetaData
extends BeanMetaData

The meta data information specific to session beans.

Version:
  $Revision: 1.23.4.1 $
Author:
  Sebastien Alborini, Scott.Stark@jboss.org, Christoph G. Jung.

Field Summary
`static String` | `DEFAULT_CLUSTERED_STATEFUL_INVOKER`
`static String` | `DEFAULT_CLUSTERED_STATELESS_INVOKER`
`static String` | `DEFAULT_STATEFUL_INVOKER`
`static String` | `DEFAULT_STATELESS_INVOKER`
`static String` | `DEFAULT_WEBSERVICE_INVOKER`
`protected EjbPortComponentMetaData` | `portComponent` the jboss port-component binding for a ejb webservice
`protected String` | `serviceEndpointClass` the service-endpoint element contains the fully-qualified name of the session bean�s web service interface

Fields inherited from class org.jboss.metadata.BeanMetaData
`beanType, callByValue, clustered, configurationName, containerManagedTx, ENTITY_TYPE, invokerBindings, LOCAL_INVOKER_PROXY_BINDING, MDB_TYPE, SESSION_TYPE`

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`SessionMetaData(ApplicationMetaData app)`

Method Summary
`protected void` | `defaultInvokerBindings()`
`String` | `getDefaultConfigurationName()`
`EjbPortComponentMetaData` | `getPortComponent()`
`String` | `getServiceEndpoint()`
`void` | `importEjbJarXml(Element element)` Called to parse the ejb-jar.xml enterprise-beans child ejb elements
`void` | `importJbossXml(Element element)` Called to parse the jboss.xml enterprise-beans child ejb elements
`boolean` | `isStateful()`
`boolean` | `isStateless()`
`boolean` | `isWebservice()`

Methods inherited from class org.jboss.metadata.BeanMetaData
`addExcludedMethod, addPermissionMethod, addTransactionMethod, getApplicationMetaData, getClusterConfigMetaData, getConfigurationName, getContainerConfiguration, getContainerObjectNameJndiName, getDepends, getEjbClass, getEjbLocalRefByName, getEjbLocalReferences, getEjbName, getEjbRefByName, getEjbReferences, getEnvironmentEntries, getExcludedMethods, getHome, getInvokerBinding, getInvokerBindings, getIorSecurityConfigMetaData, getJndiName, getLocal, getLocalHome, getLocalJndiName, getMessageDestinationReferences, getMethodPermissions, getMethodTransactionType, getPermissionMethods, getRemote, getResourceEnvReferences, getResourceReferences, getSecurityIdentityMetaData, getSecurityProxy, getSecurityRoleReferences, getServiceReferences, getTransactionMethod, getTransactionMethods, getTransactionTimeout, getTransactionTimeout, hasMethodPermission, isBeanManagedTx, isCallByValue, isClustered, isContainerManagedTx, isEntity, isExcludeMissingMethods, isMessageDriven, isMethodReadOnly, isMethodReadOnly, isSession`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STATEFUL_INVOKER

    public static final String DEFAULT_STATEFUL_INVOKER

See Also:
  Constant Field Values

### DEFAULT_CLUSTERED_STATEFUL_INVOKER

    public static final String DEFAULT_CLUSTERED_STATEFUL_INVOKER

See Also:
  Constant Field Values

### DEFAULT_STATELESS_INVOKER

    public static final String DEFAULT_STATELESS_INVOKER

See Also:
  Constant Field Values

### DEFAULT_CLUSTERED_STATELESS_INVOKER

    public static final String DEFAULT_CLUSTERED_STATELESS_INVOKER

See Also:
  Constant Field Values

### DEFAULT_WEBSERVICE_INVOKER

    public static final String DEFAULT_WEBSERVICE_INVOKER

See Also:
  Constant Field Values

### serviceEndpointClass

    protected String serviceEndpointClass

  the service-endpoint element contains the fully-qualified name of the session bean�s web service interface

### portComponent

    protected EjbPortComponentMetaData portComponent

  the jboss port-component binding for a ejb webservice

Constructor Detail

### SessionMetaData

    public SessionMetaData(ApplicationMetaData app)

Method Detail

### isStateful

    public boolean isStateful()

### isStateless

    public boolean isStateless()

### isWebservice

    public boolean isWebservice()

### getServiceEndpoint

    public String getServiceEndpoint()

  Overrides:
    `getServiceEndpoint` in class `BeanMetaData`

### getPortComponent

    public EjbPortComponentMetaData getPortComponent()

  Overrides:
    `getPortComponent` in class `BeanMetaData`

### getDefaultConfigurationName

    public String getDefaultConfigurationName()

  Specified by:
    `getDefaultConfigurationName` in class `BeanMetaData`

### defaultInvokerBindings

    protected void defaultInvokerBindings()

  Specified by:
    `defaultInvokerBindings` in class `BeanMetaData`

### importEjbJarXml

    public void importEjbJarXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Description copied from class: `BeanMetaData`
  Called to parse the ejb-jar.xml enterprise-beans child ejb elements

  Overrides:
    `importEjbJarXml` in class `BeanMetaData`
  Parameters:
    `element` - one of session/entity/message-driven
  Throws:
    `org.jboss.deployment.DeploymentException`

### importJbossXml

    public void importJbossXml(Element element)
                        throws org.jboss.deployment.DeploymentException

  Description copied from class: `BeanMetaData`
  Called to parse the jboss.xml enterprise-beans child ejb elements

  Overrides:
    `importJbossXml` in class `BeanMetaData`
  Parameters:
    `element` - one of session/entity/message-driven
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.